## r-bioc-zlibbioc 1.28.0%2Bdfsg

=== DESCRIPTION ===
Package: zlibbioc
Type: Package
Title: An R packaged zlib-1.2.5
Version: 1.28.0
Author: Martin Morgan
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Description: This package uses the source code of zlib-1.2.5 to create
  libraries for systems that do not have these available via other
  means (most Linux and Mac users should have system-level access to
  zlib, and no direct need for this package). See the vignette for
  instructions on use.
URL: http://bioconductor.org/packages/release/bioc/html/Zlibbioc.html
License: Artistic-2.0 + file LICENSE
LazyLoad: yes
biocViews: Infrastructure
git_url: https://git.bioconductor.org/packages/zlibbioc
git_branch: RELEASE_3_8
git_last_commit: b825b04
git_last_commit_date: 2018-10-30
Date/Publication: 2018-10-30
NeedsCompilation: yes
Packaged: 2018-10-30 23:22:58 UTC; biocbuild

## r-bioc-zlibbioc 1.28.0+dfsg

=== debian/changelog ===
r-bioc-zlibbioc (1.28.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #915376)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 05 Dec 2018 07:36:12 +0100

=== debian/control ===
Source: r-bioc-zlibbioc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc.git
Homepage: https://bioconductor.org/packages/zlibbioc/

Package: r-bioc-zlibbioc
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         zlib1g-dev
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: (Virtual) zlibbioc Bioconductor package
 zlibbioc provides the zlib library to the Bioconductor environment.
 This is useless on Debian because zlib is packaged. So, to avoid to patch all
 Bioconductor packages which required zlibbioc, zlibbioc is packaged as an
 empty shell depending on zlib1g-dev.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/zlibbioc.html .*/zlibbioc_(.*).tar.gz

## r-bioc-zlibbioc 1.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: zlibbioc
 Type: Package
 Title: An R packaged zlib-1.2.5
-Version: 1.28.0
+Version: 1.30.0
 Author: Martin Morgan
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Description: This package uses the source code of zlib-1.2.5 to create
@@ -14,9 +14,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/zlibbioc
-git_branch: RELEASE_3_8
-git_last_commit: b825b04
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: 99eae5b
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: yes
-Packaged: 2018-10-30 23:22:58 UTC; biocbuild
+Packaged: 2019-05-03 00:13:07 UTC; biocbuild

=== debian/changelog ===
r-bioc-zlibbioc (1.30.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 12:11:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc.git
 Homepage: https://bioconductor.org/packages/zlibbioc/
@@ -17,6 +17,7 @@
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
+# <dh-update-R>do not delete this</dh-update-R>
          zlib1g-dev
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-bioc-zlibbioc 1.32.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: zlibbioc
 Type: Package
 Title: An R packaged zlib-1.2.5
-Version: 1.30.0
+Version: 1.32.0
 Author: Martin Morgan
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Description: This package uses the source code of zlib-1.2.5 to create
@@ -14,9 +14,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/zlibbioc
-git_branch: RELEASE_3_9
-git_last_commit: 99eae5b
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 2e5b107
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: yes
-Packaged: 2019-05-03 00:13:07 UTC; biocbuild
+Packaged: 2019-10-30 00:10:04 UTC; biocbuild

## r-bioc-zlibbioc 1.32.0+dfsg

=== debian/changelog ===
r-bioc-zlibbioc (1.32.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Tue, 05 Nov 2019 23:09:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc.git
 Homepage: https://bioconductor.org/packages/zlibbioc/

## r-bioc-zlibbioc 1.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: zlibbioc
 Type: Package
 Title: An R packaged zlib-1.2.5
-Version: 1.32.0
+Version: 1.34.0
 Author: Martin Morgan
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Description: This package uses the source code of zlib-1.2.5 to create
@@ -14,9 +14,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/zlibbioc
-git_branch: RELEASE_3_10
-git_last_commit: 2e5b107
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: 2db035c
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes
-Packaged: 2019-10-30 00:10:04 UTC; biocbuild
+Packaged: 2020-04-28 00:23:13 UTC; biocbuild

=== debian/changelog ===
r-bioc-zlibbioc (1.34.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 09:45:32 +0000

r-bioc-zlibbioc (1.34.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 May 2020 17:30:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc.git
 Homepage: https://bioconductor.org/packages/zlibbioc/
+Rules-Requires-Root: no
 
 Package: r-bioc-zlibbioc
 Architecture: all

## r-bioc-zlibbioc 1.36.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0

## r-bioc-zlibbioc 1.36.0+dfsg

=== DESCRIPTION ===
Package: zlibbioc
Type: Package
Title: An R packaged zlib-1.2.5
Version: 1.36.0
Author: Martin Morgan
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Description: This package uses the source code of zlib-1.2.5 to create
  libraries for systems that do not have these available via other
  means (most Linux and Mac users should have system-level access to
  zlib, and no direct need for this package). See the vignette for
  instructions on use.
biocViews: Infrastructure
URL: https://bioconductor.org/packages/zlibbioc
BugReports: https://github.com/Bioconductor/zlibbioc/issues
License: Artistic-2.0 + file LICENSE
LazyLoad: yes
git_url: https://git.bioconductor.org/packages/zlibbioc
git_branch: RELEASE_3_12
git_last_commit: 62e888c
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-28 04:21:26 UTC; biocbuild

=== debian/changelog ===
r-bioc-zlibbioc (1.36.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 14:58:46 +0100

## r-bioc-zlibbioc 1.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: zlibbioc
 Type: Package
 Title: An R packaged zlib-1.2.5
-Version: 1.36.0
+Version: 1.40.0
 Author: Martin Morgan
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Description: This package uses the source code of zlib-1.2.5 to create
@@ -15,9 +15,9 @@
 License: Artistic-2.0 + file LICENSE
 LazyLoad: yes
 git_url: https://git.bioconductor.org/packages/zlibbioc
-git_branch: RELEASE_3_12
-git_last_commit: 62e888c
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 3f116b3
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-28 04:21:26 UTC; biocbuild
+Packaged: 2021-10-26 23:05:29 UTC; biocbuild

=== debian/changelog ===
r-bioc-zlibbioc (1.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Tue, 23 Nov 2021 21:12:36 +0100

r-bioc-zlibbioc (1.38.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 01 Sep 2021 07:34:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc.git
 Homepage: https://bioconductor.org/packages/zlibbioc/
@@ -18,7 +18,6 @@
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
          zlib1g-dev
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/zlibbioc.html .*/zlibbioc_(.*).tar.gz

## r-bioc-zlibbioc 1.42.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: zlibbioc
 Type: Package
 Title: An R packaged zlib-1.2.5
-Version: 1.40.0
+Version: 1.42.0
 Author: Martin Morgan
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Description: This package uses the source code of zlib-1.2.5 to create
@@ -15,9 +15,9 @@
 License: Artistic-2.0 + file LICENSE
 LazyLoad: yes
 git_url: https://git.bioconductor.org/packages/zlibbioc
-git_branch: RELEASE_3_14
-git_last_commit: 3f116b3
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: aa074d7
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 23:05:29 UTC; biocbuild
+Packaged: 2022-04-26 22:24:15 UTC; biocbuild

=== debian/changelog ===
r-bioc-zlibbioc (1.42.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 06:53:17 +0200

## r-bioc-zlibbioc 1.44.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: zlibbioc
 Type: Package
 Title: An R packaged zlib-1.2.5
-Version: 1.42.0
+Version: 1.44.0
 Author: Martin Morgan
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Description: This package uses the source code of zlib-1.2.5 to create
@@ -15,9 +15,9 @@
 License: Artistic-2.0 + file LICENSE
 LazyLoad: yes
 git_url: https://git.bioconductor.org/packages/zlibbioc
-git_branch: RELEASE_3_15
-git_last_commit: aa074d7
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: d39f0b0
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 22:24:15 UTC; biocbuild
+Packaged: 2022-11-01 23:20:31 UTC; biocbuild

=== debian/changelog ===
r-bioc-zlibbioc (1.44.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 12:26:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-bioc-zlibbioc
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Dylan Aïssi <daissi@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc.git
+Homepage: https://bioconductor.org/packages/zlibbioc/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc.git
-Homepage: https://bioconductor.org/packages/zlibbioc/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-zlibbioc
 Architecture: all

## r-bioc-zlibbioc 1.46.0+dfsg

=== DESCRIPTION ===
Package: zlibbioc
Type: Package
Title: An R packaged zlib-1.2.5
Version: 1.46.0
Author: Martin Morgan
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Description: This package uses the source code of zlib-1.2.5 to create
  libraries for systems that do not have these available via other
  means (most Linux and Mac users should have system-level access to
  zlib, and no direct need for this package). See the vignette for
  instructions on use.
Suggests: BiocStyle
biocViews: Infrastructure
URL: https://bioconductor.org/packages/zlibbioc
BugReports: https://github.com/Bioconductor/zlibbioc/issues
License: Artistic-2.0 + file LICENSE
LazyLoad: yes
git_url: https://git.bioconductor.org/packages/zlibbioc
git_branch: RELEASE_3_17
git_last_commit: f475457
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
NeedsCompilation: yes
Packaged: 2023-04-25 23:14:01 UTC; biocbuild

=== debian/changelog ===
r-bioc-zlibbioc (1.46.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Jul 2023 09:27:35 +0000

## r-bioc-zlibbioc 1.48.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: zlibbioc
 Type: Package
 Title: An R packaged zlib-1.2.5
-Version: 1.46.0
+Version: 1.48.0
 Author: Martin Morgan
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Description: This package uses the source code of zlib-1.2.5 to create
@@ -16,9 +16,9 @@
 License: Artistic-2.0 + file LICENSE
 LazyLoad: yes
 git_url: https://git.bioconductor.org/packages/zlibbioc
-git_branch: RELEASE_3_17
-git_last_commit: f475457
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 4372c9c
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 23:14:01 UTC; biocbuild
+Packaged: 2023-10-24 23:30:54 UTC; biocbuild

=== debian/changelog ===
r-bioc-zlibbioc (1.48.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 17:33:32 +0100

## r-bioc-zlibbioc 1.50.0+dfsg

=== DESCRIPTION ===
Package: zlibbioc
Type: Package
Title: An R packaged zlib-1.2.5
Version: 1.50.0
Author: Martin Morgan
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Description: This package uses the source code of zlib-1.2.5 to create
  libraries for systems that do not have these available via other
  means (most Linux and Mac users should have system-level access to
  zlib, and no direct need for this package). See the vignette for
  instructions on use.
Suggests: BiocStyle, knitr
biocViews: Infrastructure
URL: https://bioconductor.org/packages/zlibbioc
BugReports: https://github.com/Bioconductor/zlibbioc/issues
License: Artistic-2.0 + file LICENSE
LazyLoad: yes
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/zlibbioc
git_branch: RELEASE_3_19
git_last_commit: 0cb52e8
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-04-30
NeedsCompilation: yes
Packaged: 2024-05-01 06:36:48 UTC; biocbuild

=== debian/changelog ===
r-bioc-zlibbioc (1.50.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: add breaks for the pre-bioc-3.19 versions of some
    packages that depend on r-bioc-biobase for their autopkgtests, as a
    hint to not run those tests using any bioc-3.18 packages (especially
    on the 32-bit architectures).
  * d/patches/needs_compilation.patch: this patch is Debian-specific, mark it
    as not needing forwarding to upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 17:30:19 +0900

r-bioc-zlibbioc (1.50.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:52:47 +0200

r-bioc-zlibbioc (1.50.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 18:55:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Dylan Aïssi <daissi@debian.org>
+Uploaders: Dylan Aïssi <daissi@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-zlibbioc.git
 Homepage: https://bioconductor.org/packages/zlibbioc/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -19,8 +20,13 @@
          ${shlibs:Depends},
          ${misc:Depends},
          zlib1g-dev
+Breaks: r-bioc-affy (<< 1.82),
+        r-bioc-affyio (<< 1.74),
+        r-bioc-makecdfenv (<< 1.80),
+        r-bioc-snpstats (<< 1.54)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1)
 Description: (Virtual) zlibbioc Bioconductor package
  zlibbioc provides the zlib library to the Bioconductor environment.
  This is useless on Debian because zlib is packaged. So, to avoid to patch all

## r-bioc-zlibbioc 1.52.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: zlibbioc
 Type: Package
 Title: An R packaged zlib-1.2.5
-Version: 1.50.0
+Version: 1.52.0
 Author: Martin Morgan
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Description: This package uses the source code of zlib-1.2.5 to create
@@ -16,11 +16,12 @@
 License: Artistic-2.0 + file LICENSE
 LazyLoad: yes
 VignetteBuilder: knitr
+PackageStatus: Deprecated
 git_url: https://git.bioconductor.org/packages/zlibbioc
-git_branch: RELEASE_3_19
-git_last_commit: 0cb52e8
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 88140a7
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 06:36:48 UTC; biocbuild
+Packaged: 2024-10-30 03:26:04 UTC; biocbuild

=== debian/changelog ===
r-bioc-zlibbioc (1.52.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 18:24:47 +0100

r-bioc-zlibbioc (1.52.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Those breaks weren't useful, so remove them. (They weren't harmful
    either)
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Archive.
  * refresh patches

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 08:12:33 +0100

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,8 @@
          ${shlibs:Depends},
          ${misc:Depends},
          zlib1g-dev
-Breaks: r-bioc-affy (<< 1.82),
-        r-bioc-affyio (<< 1.74),
-        r-bioc-makecdfenv (<< 1.80),
-        r-bioc-snpstats (<< 1.54)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: (Virtual) zlibbioc Bioconductor package
  zlibbioc provides the zlib library to the Bioconductor environment.
  This is useless on Debian because zlib is packaged. So, to avoid to patch all
